Subject: Re: [PATCH 19/49] repack: remove 'existing_packs' API from the builtin

From: Taylor Blau <[email-masked]>
Date: Tue, 7 Oct 2025 16:24:31 -0400

On Tue, Sep 30, 2025 at 01:21:40AM +0200, Patrick Steinhardt wrote:
> On Sun, Sep 28, 2025 at 06:08:23PM -0400, Taylor Blau wrote:
> > The repack builtin defines an API for keeping track of which packs
> > were found in the repository at the beginning of the repack operation.
> > This is used to classify what state a pack was in (kept, non-kept, or
> > cruft), and is also used to mark which packs to delete (or keep) at the
> > end of a repack operation.
> >
> > Now that the prerequisite refactoring is complete, this API is isolated
> > enough that it can be moved out to repack.ch and removed from the
>
> Tiniest nit, sorry: I found the spelling of "repack.ch" a bit confusing
> at first, as it looked like a typo. Maybe say "repack.{c,h}" or
> "repack.[ch]"?

Ah, sorry, I usually try and write ".[ch]", but I must have missed it
here. I'll adjust it locally and include it in the next round (if any).

Thanks,
Taylor